<ng-container *ngIf=
    "
    get_relative_level() > keg_slots.warn_level_percentage && get_relative_level() < (100 - keg_slots.warn_level_percentage);
    then temp_norm; else temp_warn
    ">
</ng-container>

<ng-template #temp_norm>
    <mat-label class="label_norm" id="cur_level_lbl"></mat-label>
    
    <mat-progress-bar [appProgressBarColor]="'green'"
    [value]="get_relative_level()" class="level_indicator">
    </mat-progress-bar>
</ng-template>

<ng-template #temp_warn>
    <ng-container *ngIf=
        "
        get_relative_level() < keg_slots.warn_level_percentage; then temp_low;
        ">
    </ng-container>
</ng-template>

<ng-template #temp_low class="ind">
    <mat-label class="label_low" id="cur_level_lbl"></mat-label>

    <mat-progress-bar [appProgressBarColor]="'red'"
    [value]="get_relative_level()" class="level_indicator">
    </mat-progress-bar>
</ng-template>

